// use react query + data transformer to handle async data status and page interface.

import React, { useState, useRef } from 'react'
import { useQuery, QueryObserverOptions } from 'react-query'
import { transformHome } from './data-transformer'
import { useDispatch } from 'react-redux'
import { mainSlice } from '../model'

export function useHomeData() {
  const dispatch = useDispatch()

  return useQuery('home-data', async () => {}, { refetchOnWindowFocus: false })
}
